/*******************************************************************************
 *
 * menu.c - Creates the menu.
 *
 * Cheetah Web Browser
 * Copyright (C) 2001 Garett Spencley 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 *
 *******************************************************************************/

#include "menu.h"
#include "cheetah.h"
#include "gui.h"

/* Creates the main menu and packs it into box */

int init_menu(GtkWidget *box)
{
	static GtkItemFactoryEntry menu_items[] = {
  		{ "/_File",         	NULL,         	NULL, 	  	     0, "<Branch>" },
  		{ "/File/_New Window",  "<control>N", 	NULL,  	     0, NULL },
  		{ "/File/_Open Location",    	"<control>O", 	NULL,   0, NULL },
  		{ "/File/Open File",    	"<control>S", 	NULL,   0, NULL },
  		{ "/File/sep1",     	NULL,         	NULL, 		     0, "<Separator>" },
  		{ "/File/Close", 	NULL,         	NULL,0, NULL },
  		{ "/File/Save _As", 	NULL,         	NULL,0, NULL },
  		{ "/File/sep1",     	NULL,         	NULL, 		     0, "<Separator>" },
  		{ "/File/Print",    	"<control>P", 	NULL, 	     0, NULL },
  		{ "/File/sep1",     	NULL,         	NULL, 		     0,	"<Separator>" },
  		{ "/File/Quit",     	"<control>Q",	cheetah_close,      0, NULL },
		{ "/_Edit",				NULL, 		  	NULL, 		     0, "<Branch>" },
		{ "/Edit/Undo",			NULL, 			NULL,       0, NULL},
		{ "/Edit/Redo",			NULL, 			NULL,       0, NULL},
  		{ "/Edit/sep1",     	NULL,         	NULL, 		     0, "<Separator>" },
		{ "/Edit/Cut",			"<control>X", 	NULL,    0, NULL},
		{ "/Edit/Copy",			"<control>C", 	NULL,   0, NULL},
		{ "/Edit/Paste",		"<control>V", 	NULL, 0, NULL},
  		{ "/Edit/sep1",     	NULL,         	NULL, 			 0, "<Separator>" },
  		{ "/Edit/Select _All", "<control>A", 	NULL, 	 0, NULL },
  		{ "/Edit/sep1",     	NULL,         	NULL, 			 0, "<Separator>" },
  		{ "/Edit/Find In Page", 		NULL,		 	NULL, 		 0, NULL },
  		{ "/_Bookmarks",      	NULL,      		NULL, 			 0, "<Branch>" },
  		{ "/Bookmarks/Add Current Page", NULL, 	NULL, 	 0, NULL },
  		{ "/Bookmarks/Edit Bookmarks", NULL, 	NULL, 	 0, NULL },
  		{ "/_Settings",      	NULL,      		NULL, 			 0, "<Branch>" },
  		{ "/Settings/Settings",  NULL,         	NULL, 			 0, NULL },
  		{ "/_Help",         	NULL,      		NULL, 			 0, "<LastBranch>" },
  		{ "/_Help/About",   	NULL,      		NULL,	 0, NULL },
	};

	GtkWidget *handle_box;
	GtkItemFactory *item_factory;
	GtkWidget *menubar;
  	GtkAccelGroup *accel_group;
	gint nmenu_items;
   
	nmenu_items = sizeof(menu_items) / sizeof(menu_items[0]);

 	accel_group = gtk_accel_group_new();

	item_factory = gtk_item_factory_new(GTK_TYPE_MENU_BAR, "<main>", accel_group);

  	gtk_item_factory_create_items(item_factory, nmenu_items, menu_items, NULL);

  	gtk_window_add_accel_group(GTK_WINDOW(window), accel_group);

   	menubar = gtk_item_factory_get_widget(item_factory, "<main>");

	handle_box = gtk_handle_box_new();
	gtk_box_pack_start(GTK_BOX(box), handle_box, FALSE, TRUE, 0);
	gtk_widget_show(handle_box);

	//gtk_box_pack_start(GTK_BOX(handle_box), menubar, FALSE, TRUE, 0);
	gtk_container_add(GTK_CONTAINER(handle_box), menubar);
	gtk_widget_show(menubar);

	return 0;
}

